interface RequiredSettings {
    message?: string;
}
interface RequiredTrueSettings {
    message?: string;
}
interface MinLengthSettings {
    minLength: number;
    message?: string;
}
interface MaxLengthSettings {
    maxLength: number;
    message?: string;
}
interface MinSettings {
    min: number;
    message?: string;
}
interface MaxSettings {
    max: number;
    message?: string;
}
interface EmailSettings {
    message?: string;
}
interface PatternSettings {
    pattern: string;
    message?: string;
}
interface WithinLengthSettings {
    minLength: number;
    maxLength: number;
    message?: string;
}
interface TotalsSettings {
    total: number;
    message?: string;
}
interface EqualValuesSettings {
    message?: string;
}
interface WithinTrueCountSettings {
    minCount: number;
    maxCount: number;
    message?: string;
}
interface PropertyValidations {
    required?: RequiredSettings;
    requiredTrue?: RequiredTrueSettings;
    minLength?: MinLengthSettings;
    maxLength?: MaxLengthSettings;
    min?: MinSettings;
    max?: MaxSettings;
    email?: EmailSettings;
    pattern?: PatternSettings;
    withinLength?: WithinLengthSettings;
    totals?: TotalsSettings;
    equalValues?: EqualValuesSettings;
    withinTrueCount?: WithinTrueCountSettings;
}
interface Validateable {
    validations: {
        [index: string]: any;
    };
}
export { RequiredSettings, RequiredTrueSettings, MinLengthSettings, MaxLengthSettings, MinSettings, MaxSettings, EmailSettings, PatternSettings, WithinLengthSettings, TotalsSettings, EqualValuesSettings, WithinTrueCountSettings, PropertyValidations, Validateable };
